Ignore:
Timestamp:
2008-12-16T15:52:32+13:00 (15 years ago)
Author:
mdewsnip
Message:

Removed --with-gdbm option and no longer checks for GDBM library existing, because we know we have it.

Location:
gsdl/trunk/runtime-src
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • gsdl/trunk/runtime-src/configure

    r16572 r18214  
    310310
    311311ac_subdirs_all="$ac_subdirs_all packages"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    864864  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    865865  --with-micodir          Use installed MICO directory
    866   --with-gdbm=dir         Use local gdbm library and headers
    867866  --with-dmalloc          use dmalloc, as in
    868867                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14081407
    14091408
    1410 
    1411 # Check whether --with-gdbm or --without-gdbm was given.
    1412 if test "${with_gdbm+set}" = set; then
    1413   withval="$with_gdbm"
    1414   gdbmdir=$withval
    1415 fi;
    1416 
    14171409# Check whether --enable-accentfold or --disable-accentfold was given.
    14181410if test "${enable_accentfold+set}" = set; then
     
    68146806
    68156807
    6816 
    6817 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6818 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6819 if test ! -z "$gdbmdir" ; then
    6820   # look in given directory for header file
    6821   if test -r $gdbmdir/include/gdbm.h ; then
    6822     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6823   elif test -r $gdbmdir/gdbm.h ; then
    6824     GDBM_INCLUDE="-I$gdbmdir" ;
    6825   fi
    6826 
    6827   # look in given directory for library
    6828   if test -r $gdbmdir/libgdbm.a ; then
    6829     GDBM_LIBPATH="-L$gdbmdir" ;
    6830   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6831     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6832   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6833     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6834   fi
    6835 
    6836   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6837     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6838 echo "${ECHO_T}$gdbmdir" >&6 ;
    6839   else
    6840     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6841 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6842     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6843 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6844   fi
    6845 fi
    6846 
    6847 # look in default path and in /usr/local
    6848 if test -z "$GDBM_INCLUDE" ; then
    6849   # try in system directory
    6850 
    6851 cat >conftest.$ac_ext <<_ACEOF
    6852 /* confdefs.h.  */
    6853 _ACEOF
    6854 cat confdefs.h >>conftest.$ac_ext
    6855 cat >>conftest.$ac_ext <<_ACEOF
    6856 /* end confdefs.h.  */
    6857 #include <gdbm.h>
    6858 
    6859 int
    6860 main ()
    6861 {
    6862 
    6863   ;
    6864   return 0;
    6865 }
    6866 _ACEOF
    6867 rm -f conftest.$ac_objext
    6868 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6869   (eval $ac_compile) 2>conftest.er1
    6870   ac_status=$?
    6871   grep -v '^ *+' conftest.er1 >conftest.err
    6872   rm -f conftest.er1
    6873   cat conftest.err >&5
    6874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6875   (exit $ac_status); } &&
    6876      { ac_try='test -z "$ac_cxx_werror_flag"
    6877              || test ! -s conftest.err'
    6878   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6879   (eval $ac_try) 2>&5
    6880   ac_status=$?
    6881   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6882   (exit $ac_status); }; } &&
    6883      { ac_try='test -s conftest.$ac_objext'
    6884   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6885   (eval $ac_try) 2>&5
    6886   ac_status=$?
    6887   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6888   (exit $ac_status); }; }; then
    6889   success=yes
    6890 else
    6891   echo "$as_me: failed program was:" >&5
    6892 sed 's/^/| /' conftest.$ac_ext >&5
    6893 
    6894 success=no
    6895 
    6896 fi
    6897 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6898 
    6899   if test $success = "no"; then
    6900 # last chance - look in /usr/local (eg FreeBSD)
    6901     GDBM_LIBPATH=-L/usr/local/lib
    6902     GDBM_INCLUDE=-I/usr/local/include
    6903     ac_save_CXXFLAGS="$CXXFLAGS"
    6904     ac_save_LIBS="$LIBS"
    6905       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6906       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6907       cat >conftest.$ac_ext <<_ACEOF
    6908 /* confdefs.h.  */
    6909 _ACEOF
    6910 cat confdefs.h >>conftest.$ac_ext
    6911 cat >>conftest.$ac_ext <<_ACEOF
    6912 /* end confdefs.h.  */
    6913 #include <gdbm.h>
    6914 #include <stdio.h>
    6915 
    6916 int
    6917 main ()
    6918 {
    6919 printf("%s",gdbm_version);
    6920   ;
    6921   return 0;
    6922 }
    6923 _ACEOF
    6924 rm -f conftest.$ac_objext conftest$ac_exeext
    6925 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6926   (eval $ac_link) 2>conftest.er1
    6927   ac_status=$?
    6928   grep -v '^ *+' conftest.er1 >conftest.err
    6929   rm -f conftest.er1
    6930   cat conftest.err >&5
    6931   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6932   (exit $ac_status); } &&
    6933      { ac_try='test -z "$ac_cxx_werror_flag"
    6934              || test ! -s conftest.err'
    6935   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6936   (eval $ac_try) 2>&5
    6937   ac_status=$?
    6938   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6939   (exit $ac_status); }; } &&
    6940      { ac_try='test -s conftest$ac_exeext'
    6941   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6942   (eval $ac_try) 2>&5
    6943   ac_status=$?
    6944   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6945   (exit $ac_status); }; }; then
    6946   success=/usr/local
    6947 else
    6948   echo "$as_me: failed program was:" >&5
    6949 sed 's/^/| /' conftest.$ac_ext >&5
    6950 
    6951 success=no
    6952 
    6953 fi
    6954 rm -f conftest.err conftest.$ac_objext \
    6955       conftest$ac_exeext conftest.$ac_ext
    6956       CXXFLAGS=$ac_save_CXXFLAGS
    6957       LIBS=$ac_save_LIBS
    6958   fi
    6959 
    6960   echo "$as_me:$LINENO: result: $success" >&5
    6961 echo "${ECHO_T}$success" >&6
    6962   if test $success = "no"; then
    6963   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6964 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6965    { (exit 1); exit 1; }; }
    6966   fi
    6967 fi
    6968 cat >>confdefs.h <<\_ACEOF
    6969 #define HAVE_LIBGDBM  1
    6970 _ACEOF
    6971 
    6972 
    6973 
    6974 
    6975 
    69766808echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
    69776809echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
     
    69916823echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    69926824echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6825
    69936826
    69946827cat >conftest.$ac_ext <<_ACEOF
     
    81027935s,@LIBOBJS@,$LIBOBJS,;t t
    81037936s,@STATIC@,$STATIC,;t t
    8104 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8105 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    81067937s,@gsdlos@,$gsdlos,;t t
    81077938s,@MODULEDIRS@,$MODULEDIRS,;t t
  • gsdl/trunk/runtime-src/configure.in

    r16571 r18214  
    6060AC_SUBST(USE_YAZ)
    6161dnl fi
    62 
    63 dnl
    64 dnl look for libgdbm if not in standard location
    65 dnl
    66 AC_ARG_WITH(gdbm, [  --with-gdbm=dir         Use local gdbm library and headers], gdbmdir=$withval)
    6762
    6863dnl
     
    250245dnl
    251246AC_LANG_CPLUSPLUS
    252 
    253 dnl
    254 dnl Check that the GDBM library is available
    255 dnl
    256 dnl check libgdbm manually, in case it's not in the standard location.
    257 
    258 AC_MSG_CHECKING(that the GDBM library is available)
    259 if test ! -z "$gdbmdir" ; then
    260   # look in given directory for header file
    261   if test -r $gdbmdir/include/gdbm.h ; then
    262     GDBM_INCLUDE="-I$gdbmdir/include" ;
    263   elif test -r $gdbmdir/gdbm.h ; then
    264     GDBM_INCLUDE="-I$gdbmdir" ;
    265   fi
    266 
    267   # look in given directory for library
    268   if test -r $gdbmdir/libgdbm.a ; then
    269     GDBM_LIBPATH="-L$gdbmdir" ;
    270   elif test -r $gdbmdir/lib/libgdbm.a ; then
    271     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    272   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    273     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    274   fi
    275 
    276   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    277     AC_MSG_RESULT($gdbmdir) ;
    278   else
    279     AC_MSG_RESULT(can't find gdbm.h and libgdbm.a in $gdbmdir);
    280     AC_MSG_CHECKING(   looking for GDBM library in default locations)
    281   fi
    282 fi
    283 
    284 # look in default path and in /usr/local
    285 if test -z "$GDBM_INCLUDE" ; then
    286   # try in system directory
    287   AC_TRY_COMPILE(
    288   [#include <gdbm.h>
    289 ],
    290   [],
    291   success=yes,
    292   success=no
    293   )
    294 
    295   if test $success = "no"; then
    296 # last chance - look in /usr/local (eg FreeBSD)
    297     GDBM_LIBPATH=-L/usr/local/lib
    298     GDBM_INCLUDE=-I/usr/local/include
    299     ac_save_CXXFLAGS="$CXXFLAGS"
    300     ac_save_LIBS="$LIBS"
    301       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    302       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    303       AC_TRY_LINK(
    304     [#include <gdbm.h>
    305 #include <stdio.h>
    306     ],
    307     [printf("%s",gdbm_version);],
    308     success=/usr/local,
    309     success=no
    310       )
    311       CXXFLAGS=$ac_save_CXXFLAGS
    312       LIBS=$ac_save_LIBS
    313   fi
    314 
    315   AC_MSG_RESULT($success)
    316   if test $success = "no"; then
    317   AC_MSG_ERROR(GDBM Library not available - cannot install)
    318   fi
    319 fi
    320 dnl I don't think anything actually checks this define, but...
    321 AC_DEFINE(HAVE_LIBGDBM , 1)
    322 
    323 AC_SUBST(GDBM_LIBPATH)
    324 AC_SUBST(GDBM_INCLUDE)
    325247
    326248dnl
Note: See TracChangeset for help on using the changeset viewer.